const std = @import("std");

pub fn build(b: *std.Build) void {
    const target = b.standardTargetOptions(.{});
    const optimize = b.standardOptimizeOption(.{});

    const anzi = b.addModule(
        "anzi",
        .{
            .root_source_file = .{
                .path = "src/root.zig",
            },
        },
    );

    const unit_tests = b.addTest(.{
        .root_source_file = .{ .path = "src/root.zig" },
        .target = target,
        .optimize = optimize,
    });

    const run_unit_tests = b.addRunArtifact(unit_tests);
    const test_step = b.step("test", "Run unit tests");
    test_step.dependOn(&run_unit_tests.step);

    const random_sgr = b.addExecutable(.{
        .name = "random_sgr",
        .root_source_file = .{ .path = "examples/random_sgr.zig" },
        .target = target,
        .optimize = optimize,
    });

    random_sgr.root_module.addImport("anzi", anzi);

    b.installArtifact(random_sgr);
}
